package com.chenyang.druid.sql.dialect.dm.ast.stmt;

import com.chenyang.druid.sql.ast.statement.SQLAlterDatabaseItem;
import com.chenyang.druid.sql.dialect.dm.ast.DmSQLObjectImpl;
import com.chenyang.druid.sql.dialect.dm.visitor.DmASTVisitor;
import java.util.ArrayList;
import java.util.List;

public class DmAlterDatabaseAddLogfile extends DmSQLObjectImpl implements SQLAlterDatabaseItem {
   protected Boolean node;
   protected List<DmLogfile> fileItems = new ArrayList();

   public void accept0(DmASTVisitor visitor) {
      if (visitor.visit(this)) {
      }

      visitor.endVisit(this);
   }

   public List<DmLogfile> getFileItems() {
      return this.fileItems;
   }

   public void setFileItems(List<DmLogfile> fileItems) {
      this.fileItems = fileItems;
   }

   public Boolean getNode() {
      return this.node;
   }

   public void setNode(Boolean node) {
      this.node = node;
   }
}
